Package org.gitana.platform.client.team

# Interface Teamable

All Known Subinterfaces:
  `Application`, `Cluster`, `ClusterDataStore`, `DataStore`, `Directory`, `Domain`, `Platform`, `PlatformDataStore`, `Registrar`, `Repository`, `Stack`, `Vault`, `WebHost`

All Known Implementing Classes:
  `AbstractClusterDataStoreImpl`, `AbstractDataStoreImpl`, `AbstractPlatformDataStoreImpl`, `ApplicationImpl`, `ClusterImpl`, `DirectoryImpl`, `DomainImpl`, `PlatformImpl`, `RegistrarImpl`, `RepositoryImpl`, `StackImpl`, `VaultImpl`, `WebHostImpl`

public interface Teamable

Author:
  uzi

## Method Summary

Modifier and Type
Method
Description
`Team`
`createTeam(String teamKey)`
`Team`
`createTeam(String teamKey, com.fasterxml.jackson.databind.node.ObjectNode object)`
`void`
`deleteTeam(String teamKey)`
`Team`
`getOwnersTeam()`
`String`
`getTeamableBaseUri()`
`org.gitana.platform.support.ResultMap<Team>`
`listTeams()`
`Team`
`readTeam(String teamKey)`

## Method Details

### readTeam

Team readTeam(String teamKey)

### listTeams

org.gitana.platform.support.ResultMap<Team> listTeams()

### createTeam

Team createTeam(String teamKey)

### createTeam

Team createTeam(String teamKey, com.fasterxml.jackson.databind.node.ObjectNode object)

### deleteTeam

void deleteTeam(String teamKey)

### getTeamableBaseUri

String getTeamableBaseUri()

### getOwnersTeam

Team getOwnersTeam()